Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.

Get a List of Objects

Use the Describe Global resource to list the objects available in your org and available to the logged-in user. This resource also returns the org encoding, as well as maximum batch size permitted in queries.

Example usage

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/ -H "Authorization: Bearer token"

Example request body

none required

Example response body

1{ 
2  "encoding" : "UTF-8", 
3  "maxBatchSize" : 200, 
4  "sobjects" : [ { 
5    "activateable" : false, 
6    "custom" : false,
7    "customSetting" : false, 
8    "createable" : true, 
9    "deletable" : true, 
10    "deprecatedAndHidden" : false, 
11    "feedEnabled" : true, 
12    "keyPrefix" : "001", 
13    "label" : "Account", 
14    "labelPlural" : "Accounts", 
15    "layoutable" : true, 
16    "mergeable" : true, 
17    "mruEnabled" : true, 
18    "name" : "Account", 
19    "queryable" : true, 
20    "replicateable" : true, 
21    "retrieveable" : true, 
22    "searchable" : true, 
23    "triggerable" : true, 
24    "undeletable" : true,
25    "updateable" : true, 
26    "urls" : { 
27      "sobject" : "/services/data/v67.0/sobjects/Account", 
28      "describe" : "/services/data/v67.0/sobjects/Account/describe", 
29      "rowTemplate" : "/services/data/v67.0/sobjects/Account/{ID}" 
30    },
31  }, 
32  ...
33  ]
34}